package com.salpa.subject.domain;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * monitor_table_trigger_document
 * @author zhuff
 */
public class MonitorTableTriggerDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String name;

    private Integer tableDocumentId;

    private Integer databaseDocumentId;

    private String timing;

    private String manipulation;

    private String statement;

    private String triggerCreateAt;

    private LocalDateTime createAt;

    public MonitorTableTriggerDocument() {}

    public MonitorTableTriggerDocument(MonitorTableTriggerDocument value) {
        this.id = value.id;
        this.name = value.name;
        this.tableDocumentId = value.tableDocumentId;
        this.databaseDocumentId = value.databaseDocumentId;
        this.timing = value.timing;
        this.manipulation = value.manipulation;
        this.statement = value.statement;
        this.triggerCreateAt = value.triggerCreateAt;
        this.createAt = value.createAt;
    }

    public MonitorTableTriggerDocument(
            Integer       id,
            String        name,
            Integer       tableDocumentId,
            Integer       databaseDocumentId,
            String        timing,
            String        manipulation,
            String        statement,
            String        triggerCreateAt,
            LocalDateTime createAt
    ) {
        this.id = id;
        this.name = name;
        this.tableDocumentId = tableDocumentId;
        this.databaseDocumentId = databaseDocumentId;
        this.timing = timing;
        this.manipulation = manipulation;
        this.statement = statement;
        this.triggerCreateAt = triggerCreateAt;
        this.createAt = createAt;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getTableDocumentId() {
        return tableDocumentId;
    }

    public void setTableDocumentId(Integer tableDocumentId) {
        this.tableDocumentId = tableDocumentId;
    }

    public Integer getDatabaseDocumentId() {
        return databaseDocumentId;
    }

    public void setDatabaseDocumentId(Integer databaseDocumentId) {
        this.databaseDocumentId = databaseDocumentId;
    }

    public String getTiming() {
        return timing;
    }

    public void setTiming(String timing) {
        this.timing = timing;
    }

    public String getManipulation() {
        return manipulation;
    }

    public void setManipulation(String manipulation) {
        this.manipulation = manipulation;
    }

    public String getStatement() {
        return statement;
    }

    public void setStatement(String statement) {
        this.statement = statement;
    }

    public String getTriggerCreateAt() {
        return triggerCreateAt;
    }

    public void setTriggerCreateAt(String triggerCreateAt) {
        this.triggerCreateAt = triggerCreateAt;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }
}
